Subject: bug#68227: 29.1; [tramp] adb stopped working (after upgrade from Emacs 28 to 29?)

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 17 Jan 2024 17:10:39 -0500

Hi Michael,

Michael Albinus <[email-masked]> writes:

>>> [...] the result of this function is cached. There might be something
>>> unstale. Could you, pls, try to test w/o cached properties? That is,
>>> call
>>
>>> # emacs -Q /adb::
>>
>> This is what I see in the *Messages* buffer:
>>
>> Tramp: Opening adb shell connection...done
>> File error: Directory /adb::/data/local/tmp not accessible
>> Wrong type argument: "Wrong type argument", "stringp nil"
>> Tramp: Inserting ‘/adb::/’...failed
>> File is missing: /adb::/
>> Use M-x make-directory RET RET to create the directory and its parents
>
> If /data/local/tmp isn't accessible (writable), Tramp has problems,
> because it uses it as temporary directory on the phone. Pls check why
> this doesn't work.

I'm a bit puzzled; as I've now re-rooted the phone and I get the same
result, although I can now do:

--8<---------------cut here---------------start------------->8---
$ adb shell
shell@htc_alpine_dugl:/ $ cd /data/local/tmp
shell@htc_alpine_dugl:/data/local/tmp $
--8<---------------cut here---------------end--------------->8---

It's also possible to 'touch' a file there and delete it afterward.

Any other ideas?

-- 
Thanks,
Maxim